From c719ed298d7910585969318b1b8070ff5009feed Mon Sep 17 00:00:00 2001
From: Guennadi Liakhovetski <g.liakhovetski@gmx.de>
Date: Thu, 12 Apr 2012 15:56:23 +0200
Subject: [PATCH] crespo: update for the new camera_request_memory type

Change-Id: I59d14597d4020ac82f4260241c7f71ef79e35ead
---
 libcamera/SecCameraHWInterface.cpp |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/device/samsung/crespo/libcamera/SecCameraHWInterface.cpp b/device/samsung/crespo/libcamera/SecCameraHWInterface.cpp
index ca82669..7c701e6 100755
--- a/device/samsung/crespo/libcamera/SecCameraHWInterface.cpp
+++ b/device/samsung/crespo/libcamera/SecCameraHWInterface.cpp
@@ -722,7 +722,7 @@ status_t CameraHardwareSec::startPreviewInternal()
     mPreviewHeap = mGetMemoryCb((int)mSecCamera->getCameraFd(),
                                 frame_size,
                                 kBufferCount,
-                                0); // no cookie
+                                0, NULL); // no cookie
 
     mSecCamera->getPostViewConfig(&mPostViewWidth, &mPostViewHeight, &mPostViewSize);
     LOGV("CameraHardwareSec: mPostViewWidth = %d mPostViewHeight = %d mPostViewSize = %d",
@@ -778,7 +778,7 @@ status_t CameraHardwareSec::startRecording()
         mRecordHeap->release(mRecordHeap);
         mRecordHeap = 0;
     }
-    mRecordHeap = mGetMemoryCb(-1, sizeof(struct addrs), kBufferCount, NULL);
+    mRecordHeap = mGetMemoryCb(-1, sizeof(struct addrs), kBufferCount, 0, NULL);
     if (!mRecordHeap) {
         LOGE("ERR(%s): Record heap creation fail", __func__);
         return UNKNOWN_ERROR;
@@ -1078,7 +1078,7 @@ int CameraHardwareSec::pictureThread()
     addrs[0].height = mPostViewHeight;
     LOGV("[5B] mPostViewWidth = %d mPostViewHeight = %d\n",mPostViewWidth,mPostViewHeight);
 
-    camera_memory_t *JpegHeap = mGetMemoryCb(-1, mJpegHeapSize, 1, 0);
+    camera_memory_t *JpegHeap = mGetMemoryCb(-1, mJpegHeapSize, 1, 0, NULL);
     sp<MemoryHeapBase> PostviewHeap = new MemoryHeapBase(mPostViewSize);
     sp<MemoryHeapBase> ThumbnailHeap = new MemoryHeapBase(mThumbSize);
 
@@ -1153,7 +1153,7 @@ int CameraHardwareSec::pictureThread()
 
     if (mMsgEnabled & CAMERA_MSG_COMPRESSED_IMAGE) {
         camera_memory_t *ExifHeap =
-            mGetMemoryCb(-1, EXIF_FILE_SIZE + JPG_STREAM_BUF_SIZE, 1, 0);
+		mGetMemoryCb(-1, EXIF_FILE_SIZE + JPG_STREAM_BUF_SIZE, 1, 0, NULL);
         JpegExifSize = mSecCamera->getExif((unsigned char *)ExifHeap->data,
                                            (unsigned char *)ThumbnailHeap->base());
 
@@ -1165,7 +1165,7 @@ int CameraHardwareSec::pictureThread()
             goto out;
         }
 
-        camera_memory_t *mem = mGetMemoryCb(-1, JpegImageSize + JpegExifSize, 1, 0);
+        camera_memory_t *mem = mGetMemoryCb(-1, JpegImageSize + JpegExifSize, 1, 0, NULL);
         uint8_t *ptr = (uint8_t *) mem->data;
         memcpy(ptr, JpegHeap->data, 2); ptr += 2;
         memcpy(ptr, ExifHeap->data, JpegExifSize); ptr += JpegExifSize;
@@ -1216,7 +1216,7 @@ status_t CameraHardwareSec::takePicture()
     if (!mRawHeap) {
         int rawHeapSize = mPostViewSize;
         LOGV("mRawHeap : MemoryHeapBase(previewHeapSize(%d))", rawHeapSize);
-        mRawHeap = mGetMemoryCb(-1, rawHeapSize, 1, 0);
+        mRawHeap = mGetMemoryCb(-1, rawHeapSize, 1, 0, NULL);
         if (!mRawHeap) {
             LOGE("ERR(%s): Raw heap creation fail", __func__);
         }
-- 
1.7.2.5

